Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  object Reporting
  Definition Classes
    nsc
- Action
- Message
- MessageFilter
- Suppression
- Version
- WConf
- WarningCategory

o

scala.tools.nsc.Reporting

# WarningCategory

###
Companion trait WarningCategory

#### object WarningCategory

Source
  Reporting.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WarningCategory
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  sealed trait Feature extends WarningCategory
2.  sealed trait Lint extends WarningCategory
3.  sealed trait Other extends WarningCategory
4.  sealed trait Unused extends WarningCategory
5.  sealed trait WFlag extends WarningCategory

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val all: Map[String, WarningCategory]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
21.  object Deprecation extends WarningCategory
22.  object Feature extends Feature
23.  object FeatureDynamics extends Feature
24.  object FeatureExistentials extends Feature
25.  object FeatureHigherKinds extends Feature
26.  object FeatureImplicitConversions extends Feature
27.  object FeatureMacros extends Feature
28.  object FeaturePostfixOps extends Feature
29.  object FeatureReflectiveCalls extends Feature
30.  object JavaSource extends WarningCategory
31.  object Lint extends Lint
32.  object LintAdaptedArgs extends Lint
33.  object LintBynameImplicit extends Lint
34.  object LintConstant extends Lint
35.  object LintDelayedinitSelect extends Lint
36.  object LintDeprecation extends Lint
37.  object LintDocDetached extends Lint
38.  object LintEtaSam extends Lint
39.  object LintEtaZero extends Lint
40.  object LintImplicitNotFound extends Lint
41.  object LintInaccessible extends Lint
42.  object LintInferAny extends Lint
43.  object LintMissingInterpolator extends Lint
44.  object LintMultiargInfix extends Lint
45.  object LintNonlocalReturn extends Lint
46.  object LintNullaryUnit extends Lint
47.  object LintOptionImplicit extends Lint
48.  object LintPackageObjectClasses extends Lint
49.  object LintPolyImplicitOverload extends Lint
50.  object LintPrivateShadow extends Lint
51.  object LintRecurseWithDefault extends Lint
52.  object LintSerial extends Lint
53.  object LintStarsAlign extends Lint
54.  object LintTypeParameterShadow extends Lint
55.  object LintUnitSpecialization extends Lint
56.  object Optimizer extends WarningCategory
57.  object Other extends Other
58.  object OtherDebug extends Other
59.  object OtherMatchAnalysis extends Other
60.  object OtherMigration extends Other
61.  object OtherNonCooperativeEquals extends Other
62.  object OtherNullaryOverride extends Other
63.  object OtherPureStatement extends Other
64.  object OtherShadowing extends Other
65.  object Scaladoc extends WarningCategory
66.  object Unchecked extends WarningCategory
67.  object Unused extends Unused
68.  object UnusedImports extends Unused
69.  object UnusedLocals extends Unused
70.  object UnusedNowarn extends Unused
71.  object UnusedParams extends Unused
72.  object UnusedPatVars extends Unused
73.  object UnusedPrivates extends Unused
74.  object WFlag extends WFlag
75.  object WFlagDeadCode extends WFlag
76.  object WFlagExtraImplicit extends WFlag
77.  object WFlagNumericWiden extends WFlag
78.  object WFlagSelfImplicit extends WFlag
79.  object WFlagValueDiscard extends WFlag

### Inherited from AnyRef

### Inherited from Any

### Ungrouped